Package org.eclipse.swt.accessibility

# Class AccessibleValueEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.accessibility.AccessibleValueEvent

public class AccessibleValueEvent extends SWTEventObject
Instances of this class are sent as a result of accessibility clients sending AccessibleValue messages to an accessible object.

Since:
  1.4
See Also:
  - `AccessibleValueListener`
  - `AccessibleValueAdapter`

## Field Summary

Fields
Modifier and Type
Field
Description
`Number`
`value`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleValueEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

public Number value

## Constructor Details

### AccessibleValueEvent

public AccessibleValueEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event